package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 获取医生缺陷数量出参
 * @Author: zhanghang
 * @time: 2022/4/11 19:00
 */
@ApiModel(value = "获取医生缺陷数量出参-接口出参")
@Getter
@Setter
public class ExportGetDetailRecordListPageDTO implements Serializable {

    @Excel(name = "病历等级", width = 30, orderNum = "1")
    private String level;

    @Excel(name = "病历得分", width = 30, orderNum = "2")
    private Double scoreRes;

    @Excel(name = "病案首页得分", width = 30, orderNum = "4")
    private Double scoreBn;

    @Excel(name = "病人住院序号", width = 40, orderNum = "3")
    private String behospitalCode;

    @Excel(name = "病案号", width = 30, orderNum = "5")
    private String fileCode;

    @Excel(name = "病人姓名", width = 30, orderNum = "6")
    private String name;

    @Excel(name = "性别", width = 20, orderNum = "7")
    private String sex;

    @Excel(name = "年龄", width = 20, orderNum = "8")
    private String age;

    @Excel(name = "床号", width = 30, orderNum = "9")
    private String bedCode;

    @Excel(name = "入院日期", format = "yyyy-MM-dd HH:mm:ss", width = 30, orderNum = "10")
    private Date behospitalDate;

    @Excel(name = "出院日期", format = "yyyy-MM-dd HH:mm:ss", width = 30, orderNum = "11")
    private Date leaveHospitalDate;

    @Excel(name = "归档日期", format = "yyyy-MM-dd HH:mm:ss", width = 30, orderNum = "12")
    private Date placefileDate;

    @Excel(name = "主诊断", width = 60, orderNum = "13")
    private String diagnose;

    @Excel(name = "住院医生", width = 30, orderNum = "14")
    private String behDoctorName;

    @Excel(name = "主管医生", width = 30, orderNum = "15")
    private String doctorName;

    @Excel(name = "主任医生", width = 30, orderNum = "16")
    private String directorDoctorName;

    @Excel(name = "科室", width = 70, orderNum = "17")
    private String behDeptName;

    @Excel(name = "评分时间", format = "yyyy-MM-dd HH:mm:ss", width = 30, orderNum = "18")
    private Date gradeTime;
}
