package com.diagbot.dto;


import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 获取医生缺陷列表出参
 * @author: zhanghang
 * @time: 2022/4/11 19:00
 */
@ApiModel(value = "获取医生缺陷列表出参-接口出参")
@Getter
@Setter
public class ExportGetDoctorDetailPageDTO implements Serializable {


    @Excel(name = "缺陷名称", width = 40, orderNum = "2")
    private String name;

    @Excel(name = "模块名称", width = 20, orderNum = "1")
    private String casesName;

    @Excel(name = "科室ID", width = 20, orderNum = "9")
    private String deptId;

    @Excel(name = "科室名称", width = 20, orderNum = "10")
    private String deptName;

    @Excel(name = "缺陷总数", width = 20, orderNum = "11")
    private Integer totleNum = 0;

    @Excel(name = "数量", orderNum = "5")
    private Integer num = 0;

    @Excel(name = "缺陷占比", orderNum = "6")
    private String percentStr = "0.00%";

    @Excel(name = "分值", orderNum = "3")
    private Double score = 0d;

    @Excel(name = "单项否决", orderNum = "4", replace = { "否_0", "是_1" })
    private Integer isReject;

    @Excel(name = "医生ID", orderNum = "7")
    private Long doctorId;

    @Excel(name = "医生ID", orderNum = "8")
    private String doctorName;

}
